DefinitionObjectImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class DefinitionObjectImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.DefinitionObjectImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, WeakReferenceTarget, DefinitionObject, DefinitionType, InterchangeObject
  Direct Known Subclasses:
    CodecDefinitionImpl, ContainerDefinitionImpl, DataDefinitionImpl, InterpolationDefinitionImpl, KLVDataDefinitionImpl, OperationDefinitionImpl, ParameterDefinitionImpl, PluginDefinitionImpl, TaggedValueDefinitionImpl

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=6656,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="DefinitionObject",
                  description="The DefinitionObject class defines an item to be referenced.",
                  symbol="DefinitionObject",
                  isConcrete=false)
      public class DefinitionObjectImpl
      extends InterchangeObjectImpl
      implements DefinitionObject, DefinitionType, WeakReferenceTarget, Serializable, Cloneable

  Implements a definition to be referenced.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionObjectImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefinitionObject` | `clone()` Create a cloned copy of this interchange object.
    `AUID` | `getAUID()` Returns the identifier of this definition, which specifies the unique identifier for the item being defined.
    `String` | `getDefinitionObjectIdentificationString()`
    `String` | `getDescription()` Returns the description of this definition, which provides an explanation of the use of the item being defined.
    `String` | `getLocalizedUID()`
    `String` | `getName()` Returns the display name of this definition.
    `String` | `getWeakTargetReference()` Provides a name that can be used to make a weak object reference to an instance of the implementing class.
    `static AUID` | `initializeDefinitionObjectIdentification()`
    `static String` | `initializeDefinitionObjectName()`
    `void` | `setAUID(AUID identification)`
    `void` | `setDefinitionObjectIdentificationString(String definitionObjectIdentification)`
    `void` | `setDescription(String description)` Sets the description of this definition, which provides an explanation of the use of the item being defined.
    `void` | `setLocalizedUID(String localizedUID)`
    `void` | `setName(String name)` Sets the display name of this definition.

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### DefinitionObjectImpl

          public DefinitionObjectImpl()

  - ### Method Detail

    - #### getAUID

          @MediaProperty(uuid1=16848131,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="DefinitionObjectIdentification",
                         aliases={"AUID","Identification"},
                         typeName="AUID",
                         optional=false,
                         uniqueIdentifier=true,
                         pid=6913,
                         symbol="DefinitionObjectIdentification")
          public AUID getAUID()

      Description copied from interface: `DefinitionObject`

      Returns the identifier of this definition, which specifies the unique identifier for the item being defined.

      Specified by:
        `getAUID` in interface `WeakReferenceTarget`
      Specified by:
        `getAUID` in interface `DefinitionObject`
      Specified by:
        `getAUID` in interface `DefinitionType`
      Returns:
        The unique identifier for the item being defined.

    - #### setAUID

          @MediaPropertySetter(value="DefinitionObjectIdentification")
          public void setAUID(AUID identification)
                                                                                    throws NullPointerException

      Throws:
        `NullPointerException`

    - #### initializeDefinitionObjectIdentification

          public static final AUID initializeDefinitionObjectIdentification()

    - #### getName

          @MediaProperty(uuid1=17236226,
                         uuid2=769,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="DefinitionObjectName",
                         aliases="Name",
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=6914,
                         symbol="DefinitionObjectName")
          public String getName()

      Description copied from interface: `DefinitionObject`

      Returns the display name of this definition.

      Specified by:
        `getName` in interface `DefinitionObject`
      Specified by:
        `getName` in interface `DefinitionType`
      Returns:
        name The display name of the item being defined.

    - #### setName

          @MediaPropertySetter(value="DefinitionObjectName")
          public void setName(String name)
                                                                          throws NullPointerException

      Description copied from interface: `DefinitionObject`

      Sets the display name of this definition.

      Specified by:
        `setName` in interface `DefinitionObject`
      Parameters:
        `name` - The display name of the item being defined.
      Throws:
        `NullPointerException` - The given display name is `null`.

    - #### initializeDefinitionObjectName

          public static final String initializeDefinitionObjectName()

    - #### getDescription

          @MediaProperty(uuid1=50463489,
                         uuid2=513,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="DefinitionObjectDescription",
                         aliases="Description",
                         typeName="UTF16String",
                         optional=true,
                         uniqueIdentifier=false,
                         pid=6915,
                         symbol="DefinitionObjectDescription")
          public String getDescription()
                                                                                                                                                                                                                                                                                                                                                                                                                                                      throws PropertyNotPresentException

      Description copied from interface: `DefinitionObject`

      Returns the description of this definition, which provides an explanation of the use of the item being defined. This is an optional property.

      Specified by:
        `getDescription` in interface `DefinitionObject`
      Specified by:
        `getDescription` in interface `DefinitionType`
      Returns:
        An explanation of the use of the item being defined.
      Throws:
        `PropertyNotPresentException` - The optional property is not set for this definition.

    - #### setDescription

          @MediaPropertySetter(value="DefinitionObjectDescription")
          public void setDescription(String description)

      Description copied from interface: `DefinitionObject`

      Sets the description of this definition, which provides an explanation of the use of the item being defined. Set this optional property to `null` to omit it.

      Specified by:
        `setDescription` in interface `DefinitionObject`
      Parameters:
        `description` - An explanation of the use of the item being defined.

    - #### getLocalizedUID

          public String getLocalizedUID()

    - #### setLocalizedUID

          public void setLocalizedUID(String localizedUID)

    - #### clone

          public DefinitionObject clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `DefinitionObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `InterchangeObjectImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getWeakTargetReference

          public String getWeakTargetReference()

      Description copied from interface: `WeakReferenceTarget`

      Provides a name that can be used to make a weak object reference to an instance of the implementing class.

      Specified by:
        `getWeakTargetReference` in interface `WeakReferenceTarget`
      Returns:
        A name to use to make weak reference to this object.

    - #### getDefinitionObjectIdentificationString

          public String getDefinitionObjectIdentificationString()

    - #### setDefinitionObjectIdentificationString

          public void setDefinitionObjectIdentificationString(String definitionObjectIdentification)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.